Debian Bug report logs - #585309
python-numpy: Python string exceptions no more allowed in Python 2.6

version graph

Package: python-numpy; Maintainer for python-numpy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-numpy is src:python-numpy.

Reported by: Sandro Tosi <morph@debian.org>

Date: Wed, 9 Jun 2010 22:27:46 UTC

Severity: minor

Found in version python-numpy/1:1.3.0-3

Fixed in version python-numpy/1:1.4.1-1

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://projects.scipy.org/numpy/ticket/1515

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#585309; Package python-numpy. (Wed, 09 Jun 2010 22:27:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@ravel.debian.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 09 Jun 2010 22:27:49 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@ravel.debian.org>
To: maintonly@bugs.debian.org
Subject: python-numpy: Python string exceptions no more allowed in Python 2.6
Date: Wed, 09 Jun 2010 22:19:38 +0000
Package: python-numpy
Version: 1:1.3.0-3+b1
Severity: minor
User: debian-python@lists.debian.org
Usertags: python2.6

Hello,
One of the changes brought by Python 2.6 is the removal of string
exceptions, so they won't work in Python 2.6 (just a side note: they
were also buggy before, since they were not guaranteed to work
reliable even in <2.6); as an example:

$ python2.5 -c "raise 'eggs'"
-c:1: DeprecationWarning: raising a string exception is deprecated
Traceback (most recent call last):
  File "<string>", line 1, in <module>
eggs

$ python2.6 -c "raise 'eggs'"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
TypeError: exceptions must be old-style classes or derived from BaseException, not str

Since 2.6 is the planned default version for the upcoming new Debian
stable release, there are chances your package may be affected by this
change.

We are not sure your package is impacted, since the exception raise
can be in a dead or very rare branch of the code, and so simply never
being executed. We would like to leverage your package maintainer
status and the relationship with upstream authors to inspect more
deeply the issue and act accordingly (that includes: making this bug
release critical, closing it as irrelevant, tagging it 'wontfix', or
whatever is appropriate).

Jakub Wilk made the discovery of the problem and kindly prepared a
list [1] of all identified packages (downloaded on 2010-06-09) along
with files & lines that triggered the pattern search.

[1] http://people.debian.org/~morph/strexp/string-exceptions.lintian

This mass-bug filing was announced at 2010-06-06 on [2] (see the
thread and the references there).

[2] http://lists.debian.org/debian-devel/2010/06/msg00097.html

We do not consider the whole situation a stopper for the Python
transition to 2.6, except (of course) for those single bugs where
severity will be increased.

Thanks in advance for your attention,
Sandro on behalf of debian-python




Set Bug forwarded-to-address to 'http://projects.scipy.org/numpy/ticket/1515'. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Sat, 19 Jun 2010 13:06:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Sandro Tosi <morph@debian.org>' from 'Sandro Tosi <morph@ravel.debian.org>' Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Tue, 22 Jun 2010 22:28:44 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Wed, 30 Jun 2010 16:39:06 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Sat, 17 Jul 2010 10:36:10 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Sat, 17 Jul 2010 10:36:10 GMT) Full text and rfc822 format available.

Message #16 received at 585309-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 585309-close@bugs.debian.org
Subject: Bug#585309: fixed in python-numpy 1:1.4.1-1
Date: Sat, 17 Jul 2010 10:32:46 +0000
Source: python-numpy
Source-Version: 1:1.4.1-1

We believe that the bug you reported is fixed in the latest version of
python-numpy, which is due to be installed in the Debian FTP archive:

python-numpy-dbg_1.4.1-1_amd64.deb
  to main/p/python-numpy/python-numpy-dbg_1.4.1-1_amd64.deb
python-numpy-doc_1.4.1-1_all.deb
  to main/p/python-numpy/python-numpy-doc_1.4.1-1_all.deb
python-numpy_1.4.1-1.debian.tar.gz
  to main/p/python-numpy/python-numpy_1.4.1-1.debian.tar.gz
python-numpy_1.4.1-1.dsc
  to main/p/python-numpy/python-numpy_1.4.1-1.dsc
python-numpy_1.4.1-1_amd64.deb
  to main/p/python-numpy/python-numpy_1.4.1-1_amd64.deb
python-numpy_1.4.1.orig.tar.gz
  to main/p/python-numpy/python-numpy_1.4.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585309@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated python-numpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Jul 2010 11:50:56 +0200
Source: python-numpy
Binary: python-numpy python-numpy-dbg python-numpy-doc
Architecture: source amd64 all
Version: 1:1.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-numpy - Numerical Python adds a fast array facility to the Python languag
 python-numpy-dbg - Fast array facility to the Python language (debug extension)
 python-numpy-doc - NumPy documentation
Closes: 482706 508113 573614 585309 586395
Changes: 
 python-numpy (1:1.4.1-1) unstable; urgency=low
 .
   [ Sandro Tosi ]
   * debian/control
     - removed Marco Presi from uploaders: thanks for your work!
     - added myself to Uploaders
     - added python-sphinx and python-matplotlib to b-d, needed to build doc
     - drop python-numpy-ext, transitional package already in stable
     - bump Standards-Version to 3.9.0 (no changes needed)
     - removed Conflicts: all versions are already older than the ones in lenny
   * New upstream release
   * debian/patches/04_fix_utils_deprecated.patch
     - removed, upstream code has changed
   * debian/patches/05_fix_endianness_detection.patch
     - refreshed for new upstream code
     - disabled, since it generates a corrupted package (left here just in case)
   * debian/copyright
     - updated copyright notice; thanks to Yaroslav Halchenko for the report;
       Closes: #573614
     - added all the missing notices for copyrights & licenses differing from
       main ones
   * debian/rules
     - remove 'get-orig-source' target, no more needed
     - build and install documentation; thanks to Joel for the report;
       Closes: #508113
   * debian/python-numpy.install
     - sorted, it's clearer to read
     - added installation for 'compat', 'matrixlib' and 'polynomial' submodules
   * debian/patches/07_bts585309_string_exceptions.diff
     - added upstream patch (r8463) to remove string exceptions; Closes: #585309
   * debian/{compat, control, rules, *.install, *.doc}
     - switch from cdbs to dh7
   * debian/{control, rules}
     - use system-wide jquery instead of an embedded one
   * debian/python-numpy-doc.doc-base
     - added doc-base
   * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
     - use a local copy of python.org object.inv file instead of downloading it
       from internet at doc build-time
   * debian/patches/03_force_f2py_version.patch
     - added description
   * debian/{control, README.f2py}
     - properly support f2py executables, Suggesting python-dev and gfortran and
       adding a readme file to explain that; thanks to Kevin Mitchell for the
       report; Closes: #586395
   * debian/{control, rules, *.preinst}
     - switch from python-central to python-support
   * debian/python-numpy.docs
     - separate each file in a different line and install README.f2py
 .
   [ Piotr O┼╝arowski ]
   * debian/control: add XB-Python-Version to python-numpy-dbg package
 .
   [ Kumar Appaiah ]
   * Convert to new source format: 3.0 (quilt) (Closes: #482706)
     + debian/rules: Remove CDBS' quilt related calls.
     + Add debian/source/format which says "3.0 (quilt)".
 .
   [ Jakub Wilk ]
   * Add --prefix=/usr to setup.py in order to appease Python >= 2.6.
   * Move f2pyX.Y-dbg manpages from python-numpy to python-numpy-dbg.
   * Actually build f2pyX.Y-dbg and f2py-dbg binaries.
   * Fix shebangs for f2py* binaries.
 .
   [ Matthias Klose ]
   * Use setup.py install --install-layout; specifying --prefix installs
     into the wrong location.
Checksums-Sha1: 
 fddbaea5b9352ec11e62622c5b185aaa505002eb 1754 python-numpy_1.4.1-1.dsc
 ec6078aa09acbcca3d90f9f36353fc83e7e1daa0 2201795 python-numpy_1.4.1.orig.tar.gz
 8b9e7d340d55f36e901b666b94dff66120dda000 94091 python-numpy_1.4.1-1.debian.tar.gz
 ef59094ebf6338493ab77e555cccbad8e111c306 2077906 python-numpy_1.4.1-1_amd64.deb
 ffe992693b66fd18aa8663fe3e0164cafc45941a 5026070 python-numpy-dbg_1.4.1-1_amd64.deb
 88c13d39e4c556169a681a8a3f2bc55208a5cc92 3193640 python-numpy-doc_1.4.1-1_all.deb
Checksums-Sha256: 
 97965d86bc3174491b3655830937febfb87b1e481d16baf21662a20f0823782c 1754 python-numpy_1.4.1-1.dsc
 2e7bb84573e5123e07f3c919fd433bc09b78d606252b6b719e385c2a981d8e06 2201795 python-numpy_1.4.1.orig.tar.gz
 2bd26c0c6245159d594e1a503c0a7ac52498da77a77c2f9b0dcac21b26caa822 94091 python-numpy_1.4.1-1.debian.tar.gz
 7316009f9633248703d61ef0adb8b2a741c7540bb6356550dd953bb6eb04bbfe 2077906 python-numpy_1.4.1-1_amd64.deb
 a51eff6eb078223580cbf7a4c22b550e5933404e17ec5a0a91a0ded74257d56a 5026070 python-numpy-dbg_1.4.1-1_amd64.deb
 d3708785bd7dcc9b52125f8b9da113e7a7816542e4f22c4bb3c313319f3a1154 3193640 python-numpy-doc_1.4.1-1_all.deb
Files: 
 3e2bc821d8490f1673019b3a54850c92 1754 python optional python-numpy_1.4.1-1.dsc
 5c7b5349dc3161763f7f366ceb96516b 2201795 python optional python-numpy_1.4.1.orig.tar.gz
 94826866b9cf942f966a3cd006cdcf78 94091 python optional python-numpy_1.4.1-1.debian.tar.gz
 f8adbb154a9050efaf4055d1862adf77 2077906 python optional python-numpy_1.4.1-1_amd64.deb
 903318dfc941c00e6aa20d5283d01f5d 5026070 debug extra python-numpy-dbg_1.4.1-1_amd64.deb
 57eca16dfb9cda9697aa82cb84ffc1cc 3193640 doc optional python-numpy-doc_1.4.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxBgIcACgkQAukwV0RN2VAApgCdHrMxmoFF9UKdlawoCqHyYB8/
ZkMAn14cFns1ehLC1MluwLkqCcONFaMz
=fdSv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Aug 2010 07:31:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:23:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.